summaryrefslogtreecommitdiffstats
path: root/libraries/hdf5
diff options
context:
space:
mode:
author LukenShiro2010-05-11 20:00:48 +0200
committer Robby Workman2010-05-11 20:00:48 +0200
commit011c2c10d0e157861670661041850ff03a802e17 (patch)
tree4fc43d86f51942218b1301e695b67458a0b6be15 /libraries/hdf5
parentb0f9c8ce8d27f3a646677d12f667ac6a8966cef2 (diff)
downloadslackbuilds-011c2c10d0e157861670661041850ff03a802e17.tar.gz
libraries/hdf5: Added to 12.0 repository
Diffstat (limited to 'libraries/hdf5')
-rw-r--r--libraries/hdf5/README5
-rw-r--r--libraries/hdf5/hdf5.SlackBuild103
-rw-r--r--libraries/hdf5/hdf5.info8
-rw-r--r--libraries/hdf5/slack-desc19
4 files changed, 135 insertions, 0 deletions
diff --git a/libraries/hdf5/README b/libraries/hdf5/README
new file mode 100644
index 0000000000..c22b1795c4
--- /dev/null
+++ b/libraries/hdf5/README
@@ -0,0 +1,5 @@
+Hierarchical Data Format 5 software utilities and libraries.
+HDF5 is a The HDG Group's and NCSA's unique technology suite,
+with contributions by several U.S. D.O.E. laboratories, that
+makes possible the management of extremely large and complex
+data collections. hdf5 provides c++ and fortran interfaces.
diff --git a/libraries/hdf5/hdf5.SlackBuild b/libraries/hdf5/hdf5.SlackBuild
new file mode 100644
index 0000000000..1b1073c9dd
--- /dev/null
+++ b/libraries/hdf5/hdf5.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for hdf5
+
+# Copyright 2007 LukenShiro <lukenshiro@ngi.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Thanks to Fedora Core 7 hdf5 package's maintainer for a hack taken from his gcc4
+# patch to allow neat compilation using gcc4.x fortran.
+
+# Exit on most errors
+set -e
+
+PRGNAM=hdf5
+VERSION=1.6.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCFILES="COPYING MANIFEST README.txt release_docs/RELEASE.txt release_docs/HISTORY.txt"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvzf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# F9X=gfortran is needed to compile fortran interface using gcc-gfortran 4.x;
+# autodetection and g95 seem not to work
+# CXXFLAGS is not used, use CPPFLAGS instead
+CFLAGS="$SLKCFLAGS" \
+CPPFLAGS="$SLKCFLAGS" \
+F9X=gfortran \
+./configure \
+ --prefix=/usr \
+ --with-pthread \
+ --enable-threadsafe \
+ --enable-cxx \
+ --enable-fortran \
+ --with-ssl \
+ --with-zlib \
+ --without-szlib
+
+make || exit 1
+make prefix=$PKG/usr install || exit 1 # No DESTDIR support
+
+# --docdir configure flag seems to be completely ignored; move docs to usual directory
+mv $PKG/usr/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
+
+# html documentation files are not installed in 'make install' phase
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html/
+cp -a doc/html $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 0644 {} \;
+
+# installation seems to copy a lot of useless files and empty directories
+( find $PKG/usr/doc/$PRGNAM-$VERSION/ -name Makefile\* -exec rm -f {} \;
+ find $PKG/usr/doc/$PRGNAM-$VERSION/ -name Dependencies -exec rm -f {} \;
+ rm -f $PKG/usr/lib/*.settings
+ rm -rf $PKG/usr/doc/$PRGNAM-$VERSION/html/{cpplus,PSandPDF}
+)
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/hdf5/hdf5.info b/libraries/hdf5/hdf5.info
new file mode 100644
index 0000000000..6c9529906e
--- /dev/null
+++ b/libraries/hdf5/hdf5.info
@@ -0,0 +1,8 @@
+PRGNAM="hdf5"
+VERSION="1.6.6"
+HOMEPAGE="http://hdf.ncsa.uiuc.edu/products/hdf5/"
+DOWNLOAD="ftp://ftp.hdfgroup.org/HDF5/current/src/hdf5-1.6.6.tar.gz"
+MD5SUM="6c7fcc91f1579555d88bb10c6c9a33a9"
+MAINTAINER="LukenShiro"
+EMAIL="lukenshiro@ngi.it"
+APPROVED="rworkman"
diff --git a/libraries/hdf5/slack-desc b/libraries/hdf5/slack-desc
new file mode 100644
index 0000000000..fc4cab5fbc
--- /dev/null
+++ b/libraries/hdf5/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+hdf5: hdf5 (HDF5 software libraries and utilities)
+hdf5:
+hdf5: Hierarchical Data Format 5 defines a file format and
+hdf5: and provides a software library for storing arbitrary
+hdf5: multidimensional datasets of various types.
+hdf5: hdf5 provides also c++ and fortran interfaces.
+hdf5: It is released under a BSD-ish license.
+hdf5:
+hdf5: http://hdf.ncsa.uiuc.edu/products/hdf5/
+hdf5:
+hdf5: